curl --request POST \
--url https://melso.ai/api/areas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"icon": "<string>",
"sandbox_size": "<string>",
"resources": [
{
"resource_type": "<string>",
"resource_ref": "<unknown>",
"label": "<string>",
"position": 123
}
],
"sort_order": 123,
"instructions": "<string>",
"default_harness": "<string>",
"default_model": "<string>",
"default_thinking_level": "<string>",
"default_service_tier": "<string>",
"idempotency_key": "<string>"
}
'import requests
url = "https://melso.ai/api/areas"
payload = {
"title": "<string>",
"description": "<string>",
"icon": "<string>",
"sandbox_size": "<string>",
"resources": [
{
"resource_type": "<string>",
"resource_ref": "<unknown>",
"label": "<string>",
"position": 123
}
],
"sort_order": 123,
"instructions": "<string>",
"default_harness": "<string>",
"default_model": "<string>",
"default_thinking_level": "<string>",
"default_service_tier": "<string>",
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
icon: '<string>',
sandbox_size: '<string>',
resources: [
{
resource_type: '<string>',
resource_ref: '<unknown>',
label: '<string>',
position: 123
}
],
sort_order: 123,
instructions: '<string>',
default_harness: '<string>',
default_model: '<string>',
default_thinking_level: '<string>',
default_service_tier: '<string>',
idempotency_key: '<string>'
})
};
fetch('https://melso.ai/api/areas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/areas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'icon' => '<string>',
'sandbox_size' => '<string>',
'resources' => [
[
'resource_type' => '<string>',
'resource_ref' => '<unknown>',
'label' => '<string>',
'position' => 123
]
],
'sort_order' => 123,
'instructions' => '<string>',
'default_harness' => '<string>',
'default_model' => '<string>',
'default_thinking_level' => '<string>',
'default_service_tier' => '<string>',
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/areas"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"sandbox_size\": \"<string>\",\n \"resources\": [\n {\n \"resource_type\": \"<string>\",\n \"resource_ref\": \"<unknown>\",\n \"label\": \"<string>\",\n \"position\": 123\n }\n ],\n \"sort_order\": 123,\n \"instructions\": \"<string>\",\n \"default_harness\": \"<string>\",\n \"default_model\": \"<string>\",\n \"default_thinking_level\": \"<string>\",\n \"default_service_tier\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/areas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"sandbox_size\": \"<string>\",\n \"resources\": [\n {\n \"resource_type\": \"<string>\",\n \"resource_ref\": \"<unknown>\",\n \"label\": \"<string>\",\n \"position\": 123\n }\n ],\n \"sort_order\": 123,\n \"instructions\": \"<string>\",\n \"default_harness\": \"<string>\",\n \"default_model\": \"<string>\",\n \"default_thinking_level\": \"<string>\",\n \"default_service_tier\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/areas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"sandbox_size\": \"<string>\",\n \"resources\": [\n {\n \"resource_type\": \"<string>\",\n \"resource_ref\": \"<unknown>\",\n \"label\": \"<string>\",\n \"position\": 123\n }\n ],\n \"sort_order\": 123,\n \"instructions\": \"<string>\",\n \"default_harness\": \"<string>\",\n \"default_model\": \"<string>\",\n \"default_thinking_level\": \"<string>\",\n \"default_service_tier\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"company_commit_sha": "<string>",
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>",
"icon": "<string>",
"sandbox_size": "<string>",
"visibility": "<string>",
"key": "<string>",
"sort_order": 123,
"default_harness": "<string>",
"default_model": "<string>",
"default_thinking_level": "<string>",
"default_service_tier": "<string>",
"instructions": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"resource_count": 123
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Create area
An Agents company and company definition write permission are required: owner/admin, or an admin company API key only on its allowed Area routes. Other company types receive 403 agents_only. Resource access also applies.
Request: title:string; optional description:string|null, icon:string|null, instructions:string|null, resources:CreateAreaResourceRequest[], idempotency_key:string.
Response: AreaResponse plus resources:AreaResourceResponse[].
Status: 201; 400 validation; 403 definition-write denied; 409 activation conflict. Authentication and resource-access errors follow Overview.
curl --request POST \
--url https://melso.ai/api/areas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"icon": "<string>",
"sandbox_size": "<string>",
"resources": [
{
"resource_type": "<string>",
"resource_ref": "<unknown>",
"label": "<string>",
"position": 123
}
],
"sort_order": 123,
"instructions": "<string>",
"default_harness": "<string>",
"default_model": "<string>",
"default_thinking_level": "<string>",
"default_service_tier": "<string>",
"idempotency_key": "<string>"
}
'import requests
url = "https://melso.ai/api/areas"
payload = {
"title": "<string>",
"description": "<string>",
"icon": "<string>",
"sandbox_size": "<string>",
"resources": [
{
"resource_type": "<string>",
"resource_ref": "<unknown>",
"label": "<string>",
"position": 123
}
],
"sort_order": 123,
"instructions": "<string>",
"default_harness": "<string>",
"default_model": "<string>",
"default_thinking_level": "<string>",
"default_service_tier": "<string>",
"idempotency_key": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
icon: '<string>',
sandbox_size: '<string>',
resources: [
{
resource_type: '<string>',
resource_ref: '<unknown>',
label: '<string>',
position: 123
}
],
sort_order: 123,
instructions: '<string>',
default_harness: '<string>',
default_model: '<string>',
default_thinking_level: '<string>',
default_service_tier: '<string>',
idempotency_key: '<string>'
})
};
fetch('https://melso.ai/api/areas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://melso.ai/api/areas",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'title' => '<string>',
'description' => '<string>',
'icon' => '<string>',
'sandbox_size' => '<string>',
'resources' => [
[
'resource_type' => '<string>',
'resource_ref' => '<unknown>',
'label' => '<string>',
'position' => 123
]
],
'sort_order' => 123,
'instructions' => '<string>',
'default_harness' => '<string>',
'default_model' => '<string>',
'default_thinking_level' => '<string>',
'default_service_tier' => '<string>',
'idempotency_key' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://melso.ai/api/areas"
payload := strings.NewReader("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"sandbox_size\": \"<string>\",\n \"resources\": [\n {\n \"resource_type\": \"<string>\",\n \"resource_ref\": \"<unknown>\",\n \"label\": \"<string>\",\n \"position\": 123\n }\n ],\n \"sort_order\": 123,\n \"instructions\": \"<string>\",\n \"default_harness\": \"<string>\",\n \"default_model\": \"<string>\",\n \"default_thinking_level\": \"<string>\",\n \"default_service_tier\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://melso.ai/api/areas")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"sandbox_size\": \"<string>\",\n \"resources\": [\n {\n \"resource_type\": \"<string>\",\n \"resource_ref\": \"<unknown>\",\n \"label\": \"<string>\",\n \"position\": 123\n }\n ],\n \"sort_order\": 123,\n \"instructions\": \"<string>\",\n \"default_harness\": \"<string>\",\n \"default_model\": \"<string>\",\n \"default_thinking_level\": \"<string>\",\n \"default_service_tier\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://melso.ai/api/areas")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"icon\": \"<string>\",\n \"sandbox_size\": \"<string>\",\n \"resources\": [\n {\n \"resource_type\": \"<string>\",\n \"resource_ref\": \"<unknown>\",\n \"label\": \"<string>\",\n \"position\": 123\n }\n ],\n \"sort_order\": 123,\n \"instructions\": \"<string>\",\n \"default_harness\": \"<string>\",\n \"default_model\": \"<string>\",\n \"default_thinking_level\": \"<string>\",\n \"default_service_tier\": \"<string>\",\n \"idempotency_key\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"company_commit_sha": "<string>",
"id": "<string>",
"workspace_id": "<string>",
"title": "<string>",
"description": "<string>",
"icon": "<string>",
"sandbox_size": "<string>",
"visibility": "<string>",
"key": "<string>",
"sort_order": 123,
"default_harness": "<string>",
"default_model": "<string>",
"default_thinking_level": "<string>",
"default_service_tier": "<string>",
"instructions": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"resource_count": 123
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Company API key (mwk_) or personal access token (mel_). A PAT requires X-Workspace-ID on company-scoped routes. An API key implies its own company.
Headers
Company UUID for a personal token on company-scoped operations. A company API key already binds its company.
Body
Show child attributes
Show child attributes
Stable request key for a company definition edit.
Response
AreaResponse plus resources:AreaResourceResponse[].